#ifndef BROWSEVIEW_HXX__
#define BROWSEVIEW_HXX__
#include <gtkmm.h>
#include <list>
#include "Domain.hxx"
#include "Iface.hxx"
using namespace std;

class BrowseColumns : public Gtk::TreeModel::ColumnRecord
{
public:
	BrowseColumns()
	{
		add (browse_text);
	}
	Gtk::TreeModelColumn <string> browse_text;
	Gtk::TreeModelColumn <Domain> browse_host;
};

class BrowseView : public Gtk::TreeView
{
protected:
	Glib::RefPtr<Gtk::TreeStore> browseModel;
	BrowseColumns browseColumns;
	list <Domain> domList;
	void rebuild();
public:
	void add (Domain d);
	void clear();
	BrowseView();
	string getSelectedIfaceName();
	Iface getSelectedIface();
};

#endif
