#ifndef DOMAIN_HXX__
#define DOMAIN_HXX__
#include <string>
#include <list>
#include "Host.hxx"
using namespace std;

class Domain
{
protected:
	string name;
	list <Host> hostList;
public:
	string getName();
	friend class BrowseView;
	Domain();
	Domain (const string name);
	void add (const Host host);
	void scan (const string dir = "/etc/net");
};

#endif
