#ifndef MAINWIN_HXX__
#define MAINWIN_HXX__
#include <gtkmm.h>
#include <string>
using namespace std;
#include "BrowseView.hxx"
#include "IfaceView.hxx"

class MainWin : public Gtk::Window
{
protected:
	Gtk::Alignment a;
	Gtk::HPaned hPane;
	Gtk::ScrolledWindow leftScroll, rightScroll;
	IfaceView ifaceView;
	BrowseView browseView;
	Gtk::VBox vBox;
	virtual void on_load();
	virtual void on_quit();
	virtual void on_level1();
	virtual void on_level2();
	virtual void on_level3();
	Glib::RefPtr<Gtk::UIManager> uiManager;
	Glib::RefPtr<Gtk::ActionGroup> actionGroup;
	virtual void on_selection_changed();
public:
	MainWin();
};

#endif
